### Functions

Use set palette functions Rexpr, Gexpr, Bexpr to define three formulae for the R(gray), G(gray) and B(gray) mapping. The three formulae may depend on the variable gray which will take values in [0,1] and should also produce values in [0,1]. Please note that Rexpr might be a formula for the H-value if HSV color space has been chosen (same for all other formulae and color spaces).

Examples:

To produce a full color palette use:

         set palette model HSV functions gray, 1, 1

A nice black to gold palette:

         set palette model XYZ functions gray**0.35, gray**0.5, gray**0.8

A gamma-corrected black and white palette

         gamma = 2.2
         color(gray) = gray**(1./gamma)
         set palette model RGB functions color(gray), color(gray), color(gray)